#! /usr/bin/rpm
%define  sovers         3
%define _unpackaged_files_terminate_build  0
 
# --------------------------------------------------------------------
Summary: 	C++ interface to FMD 
Name: 		fmdxx%{sovers}
Version: 	0.18
Release: 	7
License: 	GPL
Group: 		Development/Libraries
URL: 		http://cern.ch/cholm
Source0: 	fmdxx-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/fmdxx-%{version}-%{release}-buildroot
BuildRequires:	rcudata-devel
BuildRequires:	rcugui-devel
BuildRequires:  libroot-dev
Conflicts:	fmdxx < 0.17-5

%description
C++ interface to FMD 

%files
%defattr(-,root,root)
%{_prefix}/lib/lib*.so.*

# --------------------------------------------------------------------
%package -n fmdxx-utils
Summary:	C++ interface to FMD 
Group:		Utilsopment/System
Requires:	%{name}
Conflicts:	fmdxx < 0.17-5
%description -n fmdxx-utils
C++ interface to FMD 

%files -n fmdxx-utils
%defattr(-,root,root)
%{_prefix}/bin/fmdacq
%{_prefix}/bin/fmdgui
%{_prefix}/bin/fmdped
%{_prefix}/bin/fmdadc
%{_prefix}/bin/fmdcal
%{_prefix}/bin/fmdgain
%{_prefix}/bin/fmdmonitor
%{_prefix}/bin/fmdslow
%{_prefix}/share/man/man1/fmdacq.1*
%{_prefix}/share/man/man1/fmdgui.1*
%{_prefix}/share/man/man1/fmdped.1*
%{_prefix}/share/man/man1/fmdadc.1*
%{_prefix}/share/man/man1/fmdcal.1*
%{_prefix}/share/man/man1/fmdgain.1*
%{_prefix}/share/man/man1/fmdmonitor.1*
%{_prefix}/share/man/man1/fmdslow.1*

# --------------------------------------------------------------------
%package -n fmdxx-devel
Summary:	C++ interface to FMD 
Group:		Development/System
Requires:	%{name}
%description -n fmdxx-devel
C++ interface to FMD 

%files -n fmdxx-devel
%defattr(-,root,root)
%{_prefix}/include/fmdxx
%{_prefix}/lib/lib*.a
%{_prefix}/lib/lib*.la
%{_prefix}/lib/lib*.so
%{_prefix}/lib/pkgconfig/*
%{_prefix}/bin/fmdxx-config
%{_prefix}/share/man/man1/fmdxx-config.1*
%{_prefix}/share/aclocal/fmdxx.m4

# --------------------------------------------------------------------
%prep
%setup -q -n fmdxx-%{version}

%build
%configure 
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install 

%clean
make clean
rm -rf $RPM_BUILD_ROOT

# --------------------------------------------------------------------
%changelog
* Wed Apr 16 2008 Christian Holm Christensen <cholm@nbi.dk>
- New release

* Wed Apr 16 2008 Christian Holm Christensen <cholm@nbi.dk>
- New release

* Mon Apr 14 2008 Christian Holm Christensen <cholm@nbi.dk>
- New release

* Mon Apr 14 2008 Christian Holm Christensen <cholm@nbi.dk>
- Fix to ACL/AFL

* Fri Apr 11 2008 Christian Holm Christensen <cholm@nbi.dk>
- Fixes for new Rcu++ and RcuGui

* Wed Jun 27 2007 Christian Holm Christensen <cholm@nbi.dk>
- Fix to fix ACL

* Sat Jun 02 2007 HEHI Group <hehi@hehiamd64.int.nbi.dk>
- Fixes

* Fri Apr 27 2007 Christian Holm Christensen <cholm@nbi.dk>
- Also distribute docs

* Thu Apr 26 2007 Christian Holm Christensen <cholm@nbi.dk>
- Fixed broken release because of missing source code for monitor

* Fri Mar 02 2007 Christian Holm Christensen <cholm@nbi.dk>
- Rebuild for new dependencies revision

* Fri Jan 19 2007 Christian Holm Christensen <cholm@nbi.dk>
- Added spectrum maker etc.

* Wed Jan 17 2007 Christian Holm Christensen <cholm@nbi.dk>
- Fixed raw reading problem in GainMaker

* Mon Jan 15 2007 Christian Holm Christensen <cholm@nbi.dk>
- Recompile for new RcuGui

* Sat Jan 13 2007 Christian Holm Christensen <cholm@nbi.dk>
- Added code to do gain calibration

* Sat Jan 13 2007 Christian Holm Christensen <cholm@nbi.dk>
- Added code to do gain calibration

* Thu Jan 11 2007 Christian Holm Christensen <cholm@nbi.dk>
- For fmddaq

* Thu Jan 11 2007 Christian Holm Christensen <cholm@nbi.dk>
- Added interface to calibration events

* Fri Jan 05 2007 Christian Holm Christensen <cholm@nbi.dk>
- Fixes

* Sat Nov 04 2006 Christian Holm Christensen <cholm@nbi.dk>
- Make sure PedestalMaker::Start returns

* Wed Oct 25 2006 Christian Holm Christensen <cholm@nbi.dk>
- Added all status registers

* Thu Oct 19 2006 Christian Holm Christensen <cholm@nbi.dk>
- NEw release - better layout

* Tue Oct 10 2006 Christian Holm Christensen <cholm@nbi.dk>
- Fixes from fmddaq

* Tue Oct 10 2006 Christian Holm Christensen <cholm@nbi.dk>
- Dummy

* Tue Oct 10 2006 Christian Holm Christensen <cholm@nbi.dk>
- Fixes

* Tue Oct 10 2006 Christian Holm Christensen <cholm@nbi.dk>
- Fixes

* Mon Oct 09 2006 Christian Holm Christensen <cholm@nbi.dk>
- New upstream, with fixes ffor new structure

* Tue Aug 15 2006 Christian Holm Christensen <cholm@nbi.dk>
- New release

* Fri Aug 11 2006 Christian Holm Christensen <cholm@nbi.dk>
- Last release f**ked up

* Fri Aug 11 2006 Christian Holm Christensen <cholm@nbi.dk>
- Clean up

* Wed Jul 26 2006 Christian Holm Christensen <cholm@nbi.dk>
- Fixes

* Tue May 23 2006 Forward Multiplicity Detector <fmd@dhcp61.dhcp.nbi.dk> 
- Initial build.


